<?
use LabBase\Model\Brand;
use LabBase\Model\User;

?>

<style>
    .feedTable {
        width: 100%;
        border-collapse: collapse;
    }
    .feedTable td {
        border: 1px solid #ddd;
        padding: 4px 5px;
    }
    .feedTable thead * {
        background: #ddd;
    }
    .feedTable tr:nth-child(odd) {
        background: #fff;
    }
    .feedTable tr:nth-child(even) {
        background: #eee;
    }
</style>

<div class="node">
    <div class="align-center">
        <div class="form-container fullwidth" style="margin-bottom: 100px;">

            <h1>User List</h1>

            <table class="feedTable">
                <thead> <td>ID</td> <td>Name</td> <td>Access</td> <td>Login as the user</td> </thead>
                <? foreach($users as $user) { /** @var $user User */?>
                    <tr>
                        <td><?= $user->id ?></td>
                        <td><?= $user->fullName ?></td>
                        <td><?= $user->isAdmin() ? 'Admin' : 'User' ?></td>
                        <td><a href="<?= $this->url('root/adminPanel', ['action' => 'loginAs', 'param' => $user->id]); ?>">Change user</a></td>
                    </tr>
                <? } ?>
            </table>

        </div>
    </div>
</div>